### Method

# FwupdPlugin Firmware remove_image_by_id

#### Declaration [src]

    gboolean
    fu_firmware_remove_image_by_id (
      FuFirmware* self,
      const gchar* id,
      GError** error
    )

#### Description [src]

Removes the first image from the firmware matching the ID.

Available since: | 1.5.0

#### Parameters

`id` | `const gchar*`
| Image ID, e.g. `config`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if an image was removed.